from django.utils.translation import ugettext_lazy as _

from admin_tools.dashboard import modules

class OrganizationDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': "Organizations",
            'display': "tabs",
            'children': [
                OrganizationModels(),
                OrganizationOtherModels(),
                OrganizationSettings(),
            ]
        }
        super(OrganizationDashboard, self).__init__(**kwargs)

class OrganizationModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Models"),
            'models': ('organization.models.Organization', 'organization.models.Contact'),
        }
        super(OrganizationModels, self).__init__(**kwargs)

class OrganizationOtherModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Others"),
            'models': ('organization.models.*',),
            'exclude': (
                'organization.models.Organization', 'organization.models.Contact',
                'organization.models.Settings'
            ),
        }
        super(OrganizationOtherModels, self).__init__(**kwargs)

class OrganizationSettings(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Settings"),
            'models':['organization.models.Settings',],
            }
        super(OrganizationSettings, self).__init__(**kwargs)
